Loading...
Searching...
No Matches
control.h File Reference
Implementation API » Control

pipewire/control.h More...

Go to the source code of this file.

## Data Structures

struct | pw_control_events
| Port events, use pw_control_add_listener. More...

## Macros

#define | PW_VERSION_CONTROL_EVENTS 0

## Functions

struct pw_impl_port * | pw_control_get_port (struct pw_control *control)
| Get the control parent port or NULL when not set.
void | pw_control_add_listener (struct pw_control *control, struct spa_hook *listener, const struct pw_control_events *events, void *data)
| Add an event listener on the control.

## Detailed Description

pipewire/control.h